Subject: Re: Alvaro Retana's No Objection on draft-ietf-6man-rfc4941bis-11: (with COMMENT)

From: Erik Kline <[email-masked]>
Date: Sun, 13 Dec 2020 20:48:48 -0800

On Tue, Oct 20, 2020 at 12:38 PM Fernando Gont <[email-masked]> wrote:
>
> Hello, Alvaro,
>
> On 20/10/20 15:34, Alvaro Retana wrote:
> [....]
> >>> Please clarify the text one way or the other: by eliminating "examples"
> >>> from §3.3, or removing the text in parenthesis in §3.4.
> >>
> >> How about changing that paragraph as:
> >>
> >> OLD:
> >> 6. New temporary addresses MUST be created by appending a randomized
> >> interface identifier (generated as described in Section 3.3 of
> >> this document) to the prefix that was received.
> >>
> >> NEW:
> >> 6. New temporary addresses MUST be created by appending a randomized
> >> interface identifier to the prefix that was received. The
> >> randomized interface identifier MUST comply with the design
> >> guidelines from Section 3.1. Section 3.3 specify some example
> >> algorithms that comply with the aforementioned design goals.
> >
> >
> > I'm ok with this suggestion, except for the "MUST comply with the
> > design guidelines from Section 3.1" part.  There's no interoperability
> > required to justify normatively pointing at §3.1, most of the bullets
> > there don't apply to the generation of random IIDs, and I don't see a
> > strong reference to §3.1 anywhere else in the text.
> >
> > I would be very happy by simply changing that second "MUST" to "must".
> >
> > Having said that, my comment was non-blocking, so I trust you and the
> > Responsible AD to make the right decision.
>
> Ok. Question for Erik: which of the three proposed changes (or Alvaro's
> suggested s/MUST/must/) would be best for you?

I'm good with text in -12.  It points to 3.3 without being overly
prescriptive if an implementation has something that works better
(somehow).